## NAME

i.cca - Canonical components analysis (cca) program for image processing.

## KEYWORDS

imagery, statistics

## SYNOPSIS

i.cca
i.cca help
i.cca group=name subgroup=name signature=string output=name [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

group=name
  Name of input imagery group
subgroup=name
  Name of input imagery subgroup
signature=string
  File containing spectral signatures
output=name
  Output raster map prefix name

## DESCRIPTION

i.cca is an image processing program that takes from two to eight (raster) band files and a signature file, and outputs the same number of raster band files transformed to provide maximum separability of the categories indicated by the signatures. This implementation of the canonical components transformation is based on the algorithm contained in the LAS image processing system. CCA is also known as "Canonical components transformation".

Typically the user will use the i.class program to collect a set of signatures and then pass those signatures along with the raster band files to i.cca. The raster band file names are specified on the command line by giving the group and subgroup that were used to collect the signatures.

The output raster map names are built by appending a ".1", ".2", etc. to the output raster map name specified on the command line.

### Parameters:

group=name
  Name of the imagery group to which the 2 to 8 raster band files used belong.
subgroup=name
  Name of the imagery subgroup to which the 2 to 8 raster band files used belong.
signature=name
  Name of an ASCII file containing spectral signatures.
output=name
  Output raster map prefix name. The output raster map layer names are built by appending a ".1", ".2", etc. onto the output name specified by the user.

## NOTES

i.cca respects the current geographic region definition and the current mask setting while performing the transformation.

## SEE ALSO

Schowengerdt, Robert A. Techniques for Image Processing and Classification in Remote Sensing, Academic Press, 1983.

i.class
i.pca
r.covar
r.mapcalc

## AUTHORS

David Satnik, GIS Laboratory, Central Washington University
Ali R. Vali, University of Texas

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - imagery index - Full index

© 2003-2014 GRASS Development Team